## corsixth 0.01b-0maemo3

=== debian/changelog ===
corsixth (0.01b-0maemo3) unstable; urgency=low

  * New upstream release (0.01b).

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 05:07:53 -0400

corsixth (0.01b-0maemo2) unstable; urgency=low

  * New upstream release (0.01b). 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 04:55:23 -0400

corsixth (0.01b-0maemo1) unstable; urgency=low

  * New upstream release (0.01b).

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 03:08:24 -0400

corsixth (0.0.0-beta5-0maemo1) unstable; urgency=low

  * New upstream release (Beta5). 

 -- Javier S. Pedro <maemo@javispedro.com>  Mon, 17 Jan 2011 01:25:07 +0100

corsixth (0.0.0-beta3-0maemo1) unstable; urgency=low

  * New upstream release (Beta3). Fixes "saving requires root" issue.

 -- Javier S. Pedro <maemo@javispedro.com>  Mon,  5 Jul 2010 10:52:00 +0200

corsixth (0.0.0-beta2-0maemo1) unstable; urgency=low

  * Updated to upstream Beta2.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat, 27 Mar 2010 20:56:42 +0100

corsixth (0.0.0-beta1-0maemo3) unstable; urgency=low

  * Out of tree builds.
  * Made config.txt a conffile.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Jan 2010 18:44:12 +0100

corsixth (0.0.0-beta1-0maemo2) unstable; urgency=low

  * Diablo build fixes.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Jan 2010 12:31:06 +0100

corsixth (0.0.0-beta1-0maemo1) unstable; urgency=low

  * Initial release.

 -- Javier S. Pedro <maemo@javispedro.com>  Sat,  2 Jan 2010 00:51:14 +0100
