=== CorsixTH/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 # Modify the config.h based upon our selection of options
 CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/CorsixTH/Src/config.h.in ${CMAKE_BINARY_DIR}/CorsixTH/Src/config.h)
 INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/Src/)
+INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/agg/include/)
 
 # Generate source files list
 # Note: Done after generating config.h
@@ -53,15 +54,44 @@
   ${CMAKE_SOURCE_DIR}/CorsixTH/CorsixTH.rc
   ${CMAKE_SOURCE_DIR}/LFS/*.c
   ${CMAKE_SOURCE_DIR}/LPEG/*.c
+  ${CMAKE_SOURCE_DIR}/agg/src/agg_image_filters.cpp
 )
 
 # Declaration of the executable
-add_executable(CorsixTH ${corsixth_source_files})
+IF(APPLE)
+  add_definitions(-DIS_CORSIXTH_APP)
 
-IF(APPLE)
+  set(corsixth_icon_file ${CMAKE_SOURCE_DIR}/CorsixTH/Icon.icns)
+  set_source_files_properties(
+    ${corsixth_icon_file}
+    PROPERTIES
+    MACOSX_PACKAGE_LOCATION Resources
+  )
+  set(MACOSX_BUNDLE_ICON_FILE Icon.icns)
+
+  add_executable(CorsixTH MACOSX_BUNDLE ${corsixth_source_files} ${corsixth_icon_file})
+
+  set_target_properties(CorsixTH PROPERTIES LINK_FLAGS_MINSIZEREL "-dead_strip")
+
+  #Add an extra step at the end of the build process to copy the resources into the
+  #bundle. I haven't yet found a way to keep the folder structure when adding resources
+  #into XCode. I would have thought we could use source_group but apparently not.
+  set(corsixth_bundle_resources 
+    ${CMAKE_SOURCE_DIR}/CorsixTH/CorsixTH.lua
+    ${CMAKE_SOURCE_DIR}/CorsixTH/Bitmap
+    ${CMAKE_SOURCE_DIR}/CorsixTH/Lua
+    ${CMAKE_SOURCE_DIR}/CorsixTH/Levels
+  )
+  add_custom_command(TARGET CorsixTH 
+					 POST_BUILD
+					 COMMAND /Developer/Library/PrivateFrameworks/DevToolsCore.framework/Resources/pbxcp -exclude .DS_Store -exclude CVS -exclude .svn -exclude *.bmp -exclude *.png -resolve-src-symlinks ${corsixth_bundle_resources} \${TARGET_BUILD_DIR}/\${FULL_PRODUCT_NAME}/Contents/Resources
+  )
+
   target_link_libraries(CorsixTH SDLmain)
   INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}/CorsixTH/SDLMain/)
-ENDIF(APPLE)
+ELSE()
+  add_executable(CorsixTH ${corsixth_source_files})
+ENDIF()
 
 # Finding libraries
 
@@ -106,6 +136,18 @@
   ENDIF(SDLMIXER_FOUND)
 ENDIF(CORSIX_TH_USE_SDL_MIXER)
 
+# Find Freetype2
+IF(CORSIX_TH_USE_FREETYPE2)
+  FIND_PACKAGE(Freetype REQUIRED)
+  IF(FREETYPE_FOUND)
+    TARGET_LINK_LIBRARIES(CorsixTH ${FREETYPE_LIBRARIES})
+    INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
+    message("  FreeType2 found")
+  ELSE(FREETYPE_FOUND)
+    message("Error: FreeType2 library not found, even though it was selected to be used")
+  ENDIF(FREETYPE_FOUND)
+ENDIF(CORSIX_TH_USE_FREETYPE2)
+
 # Find OpenGL
 IF(CORSIX_TH_USE_OGL_RENDERER)
   FIND_PACKAGE(OpenGL REQUIRED)
@@ -119,10 +161,35 @@
 ENDIF(CORSIX_TH_USE_OGL_RENDERER)
 
 # Declaration of the install process
-install(TARGETS CorsixTH RUNTIME DESTINATION CorsixTH)
-install(DIRECTORY Lua DESTINATION CorsixTH PATTERN "*svn" EXCLUDE)
-install(DIRECTORY Bitmap DESTINATION CorsixTH PATTERN "*svn" EXCLUDE)
-install(FILES config.txt DESTINATION CorsixTH )
-install(FILES CorsixTH.lua DESTINATION CorsixTH )
-install(FILES LICENSE.txt DESTINATION CorsixTH )
+IF(APPLE)
+  #Just use the prefix as it's sufficient to just set the prefix to /Applications on Mac.
+  install(TARGETS CorsixTH BUNDLE DESTINATION .)
 
+  #Copy the required frameworks into the bundle.
+  IF(SDL_FOUND)
+	IF(SDL_LIBRARY MATCHES "\\.framework") #Only copy if it's an actual framework.
+      string(REPLACE "-framework Cocoa" "" SDL_FRAMEWORK_LOC ${SDL_LIBRARY})
+      install(DIRECTORY ${SDL_FRAMEWORK_LOC} DESTINATION CorsixTH.app/Contents/Frameworks)
+    ENDIF()
+  ENDIF()
+
+  IF(SDLMIXER_FOUND)
+    IF(${SDLMIXER_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
+      install(DIRECTORY ${SDLMIXER_LIBRARY} DESTINATION CorsixTH.app/Contents/Frameworks)
+    ENDIF()
+  ENDIF()
+
+  IF(LUA51_FOUND)
+    IF(${LUA_LIBRARY} MATCHES "\\.framework$") #Only copy if it's an actual framework.
+  	  install(DIRECTORY ${LUA_LIBRARY} DESTINATION CorsixTH.app/Contents/Frameworks)
+    ENDIF()
+  ENDIF()
+
+ELSE()
+  install(TARGETS CorsixTH RUNTIME DESTINATION CorsixTH)
+  install(DIRECTORY Lua Levels DESTINATION CorsixTH PATTERN "*.svn" EXCLUDE)
+  install(DIRECTORY Bitmap DESTINATION CorsixTH
+        FILES_MATCHING REGEX ".*\\.(tab|pal|dat|png)$"
+        PATTERN "*.svn" EXCLUDE)
+  install(FILES CorsixTH.lua LICENSE.txt CorsixTH.ico DESTINATION CorsixTH )
+ENDIF()
