=== debian/changelog ===
corsixth (0.01b-0maemo4) unstable; urgency=low

  * added libvorbisfile3 to dependency 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 07:15:56 -0400
