## corsixth 0.01b-0maemo5

=== debian/changelog ===
corsixth (0.01b-0maemo5) unstable; urgency=low

  * add bugracker link

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 06:37:08 -0400
