## corsixth 0.01b-0maemo6

=== debian/changelog ===
corsixth (0.01b-0maemo6) unstable; urgency=low

  * add bugtracker link

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri,  6 Apr 2012 07:32:08 -0400
