=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corsixth
 Section: user/games
 Priority: extra
-Maintainer: Javier S. Pedro <maemo@javispedro.com>
+Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
 Build-Depends: debhelper (>= 5), cmake, sharutils, maemo-version, m4, quilt,
  liblua5.1-0-dev, libx11-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, gnupg, bash,
  pkg-config, libfreetype6-dev
@@ -19,6 +19,7 @@
  the demo, in order to use CorsixTH. After most of the original engine has been
  reimplemented in open source code, the project will serve as a base from which
  extensions to the original game can be made.
+XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
 XB-Maemo-Display-Name: CorsixTH
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAA
