## corsixth 0.01b-0maemo8

=== AnimView/CMakeLists.txt ===
--- 
+++ 
@@ -9,25 +9,50 @@
   frmSprites.cpp
   rnc.cpp
   th.cpp
+  tinystr.cpp
+  tinyxml.cpp
+  tinyxmlerror.cpp
+  tinyxmlparser.cpp
   app.h
   backdrop.h
   frmMain.h
   frmSprites.h
   th.h
+  tinystr.h
+  tinyxml.h
 )
 
 # Declaration of the executable
-add_executable( 
-  AnimView 
-  WIN32 # This prevents the dos console showing up
-  MACOSX_BUNDLE
-  ${animview_source_files}
-)
+IF(APPLE)
+
+  set(corsixth_icon_file ${CMAKE_SOURCE_DIR}/CorsixTH/Icon.icns)
+  set_source_files_properties(
+    ${corsixth_icon_file}
+    PROPERTIES
+    MACOSX_PACKAGE_LOCATION Resources
+  )
+  set(MACOSX_BUNDLE_ICON_FILE Icon.icns)
+
+  add_executable( 
+    AnimView
+    MACOSX_BUNDLE
+    ${animview_source_files}
+    ${corsixth_icon_file}
+  )
+
+  set_target_properties(AnimView PROPERTIES LINK_FLAGS_MINSIZEREL "-dead_strip")
+ELSE()
+  add_executable( 
+    AnimView 
+    WIN32 # This prevents the dos console showing up
+    ${animview_source_files}
+  )
+ENDIF()
 
 # Finding libraries
 
 # Find WxWidgets
-SET(wxWidgets_USE_LIBS gl base core) # optionally: more than wx std libs
+SET(wxWidgets_USE_LIBS core base) # optionally: more than wx std libs
 FIND_PACKAGE(wxWidgets REQUIRED)
 IF(wxWidgets_FOUND)
   LINK_LIBRARIES(${wxWidgets_LIBRARIES})
@@ -47,6 +72,7 @@
   ELSE(APPLE)
     # regular unix/linux
   ENDIF(APPLE)
+ELSE(UNIX)
   IF(WIN32)
     # Win32 specific
     IF(MSVC)
@@ -64,6 +90,9 @@
   ENDIF(WIN32)
 ENDIF(UNIX)
 
-install(TARGETS AnimView RUNTIME DESTINATION AnimView)
-install(FILES LICENSE.txt DESTINATION AnimView )
-
+IF(APPLE)
+  install(TARGETS AnimView BUNDLE DESTINATION .)
+ELSE()
+  install(TARGETS AnimView RUNTIME DESTINATION AnimView)
+  install(FILES LICENSE.txt DESTINATION AnimView )
+ENDIF()
