=== debian/changelog ===
corsixth (0.01b-0maemo8) unstable; urgency=low

  * fixed control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 13 Apr 2012 08:47:30 -0400

corsixth (0.01b-0maemo7) unstable; urgency=low

  * improved compiler flags

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 13 Apr 2012 08:18:32 -0400
