=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: corsixth
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version}), libvorbisfile3
+Depends: ${shlibs:Depends}, ${misc:Depends}, corsixth-data (= ${source:Version})
 Description: Open source clone of Theme Hospital
  This project aims to reimplement the game engine of Theme Hospital,
  and be able to load the original game data files.
