=== AnimView/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
   th.h
   tinystr.h
   tinyxml.h
+  AnimView.rc
 )
 
 # Declaration of the executable
