=== debian/changelog ===
corsixth (0.10-0maemo2) unstable; urgency=low

  * libfreetype6-dev added to control file

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue, 16 Oct 2012 14:58:04 -0400

corsixth (0.10-0maemo1) unstable; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 11 Oct 2012 16:26:54 -0400
