=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corsixth
 Section: user/games
 Priority: extra
-Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
+Maintainer: Javier S. Pedro <maemo@javispedro.com>
 Build-Depends: debhelper (>= 5), cmake, sharutils, maemo-version, m4, quilt,
  liblua5.1-0-dev, libx11-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, gnupg, bash,
  pkg-config, libfreetype6-dev
